Meta:Wiki Upgrade

From Leeds Hackspace Wiki
Jump to: navigation, search

Upgrade complete; now time to hack the frack out of it HackTheWiki

The wiki needs updating and upgradng to add support for new features, and make it easier to edit.

Current Proposal

The wiki is running on an old version, and lacks most of functions a modern wiki should have. It is running on an out of support LTS version, and is running on an old LTS version of Debian.

Furthermore, there are mediawiki extensions present to make editing easier, mainly having Infoboxes that don't require nesting templates, but also better editors. This is done through external plugins (Such as Lua Lua), that require an updated server.

Plan

  • Ensure access to the main server - Done, Flig has access
  • Backup the whole server
  • Update the linux server to latest LTS
  • Update MediaWiki and dependencies to Latest LTS
  • Consider adding extensions

Extensions to Consider